Package csb :: Package statistics :: Package samplers :: Package mc :: Module multichain :: Class MDRENS

[frames] | no frames]

# Class MDRENS

source code

         object --+
                  |
    AbstractSampler --+
                      |
             AbstractMC --+
                          |
         AbstractEnsembleMC --+
                              |
             AbstractExchangeMC --+
                                  |
                       AbstractRENS --+
                                      |
                                     MDRENS

Known Subclasses:
  - ThermostattedMDRENS

Replica Exchange with Nonequilibrium Switches (RENS, Ballard & Jarzynski 2009) with Molecular Dynamics (MD) trajectories.

Nested Classes
Inherited from `AbstractSampler`: `__metaclass__`

Instance Methods

__init__(self, samplers, param_infos, integrator=<class 'csb.numeric.integrators.FastLeapFrog'>) x.__init__(...) initializes x; see help(type(x)) for signature | source code

Inherited from `AbstractExchangeMC`: `swap` Inherited from `AbstractEnsembleMC`: `sample` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Variables
| __abstractmethods__ = ``frozenset([``])``

Properties
Inherited from `AbstractExchangeMC`: `acceptance_rates`, `param_infos`, `statistics` Inherited from `AbstractEnsembleMC`: `energy` Inherited from `AbstractMC`: `state` Inherited from `object`: `__class__`

Method Details

### __init__(self, samplers, param_infos, integrator=<class 'csb.numeric.integrators.FastLeapFrog'>)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Parameters:
  - `samplers` (list of AbstractSingleChainMC) - Samplers which sample their respective equilibrium distributions
  - `param_infos` (list of MDRENSSwapParameterInfo) - ParameterInfo instance holding information required to perform a MDRENS swap
  - `integrator` (type) - Subclass of AbstractIntegrator to be used to calculate the non-equilibrium trajectories
Overrides: object.__init__
  (inherited documentation)